# Interface VulkanPipelineColorBlendAttachmentStateType

All Known Implementing Classes:
  `VulkanPipelineColorBlendAttachmentState`

@Immutable public interface VulkanPipelineColorBlendAttachmentStateType
Structure specifying a pipeline color blend attachment state.

See Also:
  - "VkPipelineColorBlendAttachmentState"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default VulkanBlendOp`
  `alphaBlendOp()`
  `default VulkanBlendOp`
  `colorBlendOp()`
  `default Set<VulkanColorComponentFlag>`
  `colorWriteMask()`
  `default VulkanBlendFactor`
  `dstAlphaBlendFactor()`
  `default VulkanBlendFactor`
  `dstColorBlendFactor()`
  `boolean`
  `enable()`
  `default VulkanBlendFactor`
  `srcAlphaBlendFactor()`
  `default VulkanBlendFactor`
  `srcColorBlendFactor()`

- ## Method Details

  - ### enable

    @Parameter boolean enable()
    Returns:
      `true` if blending is enabled for the corresponding color attachment. If blending is not enabled, the source fragment’s color for that attachment is passed through unmodified.

  - ### srcColorBlendFactor

    @Parameter @Default default VulkanBlendFactor srcColorBlendFactor()
    Returns:
      the blend factor used to determine the source factors (Sr,Sg,Sb).

  - ### dstColorBlendFactor

    @Parameter @Default default VulkanBlendFactor dstColorBlendFactor()
    Returns:
      the blend factor used to determine the destination factors (Dr,Dg,Db).

  - ### colorBlendOp

    @Parameter @Default default VulkanBlendOp colorBlendOp()
    Returns:
      the blend operation used to calculate the RGB values to write to the color attachment.

  - ### srcAlphaBlendFactor

    @Parameter @Default default VulkanBlendFactor srcAlphaBlendFactor()
    Returns:
      the blend factor used to determine the source factor Sa.

  - ### dstAlphaBlendFactor

    @Parameter @Default default VulkanBlendFactor dstAlphaBlendFactor()
    Returns:
      the blend factor used to determine the destination factor Da.

  - ### alphaBlendOp

    @Parameter @Default default VulkanBlendOp alphaBlendOp()
    Returns:
      the blend operation used to calculate the alpha values to write to the color attachment.

  - ### colorWriteMask

    @Parameter @Default default Set<VulkanColorComponentFlag> colorWriteMask()
    Returns:
      the R, G, B, and/or A components enabled for writing.